Mail archive
alpine-aports

[alpine-aports] [PATCH 1/1] main/feh: upgrade to 2.17

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Tue, 30 Aug 2016 10:41:48 -0400

---
 main/feh/APKBUILD | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)
diff --git a/main/feh/APKBUILD b/main/feh/APKBUILD
index d434358..c3c9c0d 100644
--- a/main/feh/APKBUILD
+++ b/main/feh/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=feh
-pkgver=2.16.2
+pkgver=2.17
 pkgrel=0
 pkgdesc="feh is a fast, lightweight image viewer which uses imlib2"
 url="http://feh.finalrewind.org/"
_at_@ -10,24 +10,22 @@ subpackages="$pkgname-doc"
 depends=
 makedepends="libxt-dev libpng-dev giblib-dev imlib2-dev libjpeg-turbo-dev 
 	libxinerama-dev curl-dev"
-source="https://feh.finalrewind.org/${pkgname}-${pkgver}.tar.bz2"
+source="https://feh.finalrewind.org/$pkgname-$pkgver.tar.bz2"
 
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 build() {
-	cd "$_builddir"
-	make PREFIX=/usr || return 1
+	make PREFIX=/usr -C "$builddir" || return 1
 }
 
 package() {
-	cd "$_builddir"
 	make PREFIX=/usr DESTDIR="$pkgdir" \
 		bin_dir="$pkgdir"/usr/bin \
 		man_dir="$pkgdir"/usr/share/man \
 		doc_dir="$pkgdir"/usr/share/doc/$pkgname \
 		example_dir="$pkgdir"/usr/share/doc/$pkgname/examples \
-		install || return 1
+		-C "$builddir" install || return 1
 }
 
-md5sums="20695ee5c9581e22fef528b9d66511a6  feh-2.16.2.tar.bz2"
-sha256sums="aa37124ae010e7dac7d101d5c66f3d49da79e96c7ce21d77bfe3c9322ed2e7ca  feh-2.16.2.tar.bz2"
-sha512sums="e288a0a5abe12c6e124b351a4d723845f8d7041fc87be15fb95266d00e35b319bf7a57073383157d4634f00bc974264d0622fac8166c97348a8bc1d563c16807  feh-2.16.2.tar.bz2"
+md5sums="689ed371e668628510eafeaeff1040dc  feh-2.17.tar.bz2"
+sha256sums="dfe6fd362a988eba964de3eb1ecc083cfbdf5132ade36e68b6f18e07a78980d4  feh-2.17.tar.bz2"
+sha512sums="64b347766b2d39dcd275eb40a10d82ef65fa323485be6be0f25f300995e79739725b512f2a97971a68a2d8fb690ba023957d0125c39367c32af009e9a702c2c3  feh-2.17.tar.bz2"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Aug 30 2016 - 10:41:48 GMT